Skip to main content
GET
Read Work Pool

Headers

x-prefect-api-version
string

Path Parameters

name
string
required

The work pool name

Response

Successful Response

id
string<uuid>
required
created
string<date-time> | null
required
updated
string<date-time> | null
required
name
string
required

The name of the work pool.

Pattern: ^[^/%&><]+$
type
string
required

The work pool type.

description
string | null

A description of the work pool.

base_job_template
Base Job Template · object

The work pool's base job template.

is_paused
boolean
default:false

Pausing the work pool stops the delivery of all work.

concurrency_limit
integer | null

A concurrency limit for the work pool.

Required range: x >= 0
status
enum<string> | null

The current status of the work pool.

Available options:
READY,
NOT_READY,
PAUSED
default_queue_id
string<uuid> | null

The id of the pool's default queue.

storage_configuration
WorkPoolStorageConfiguration · object

The storage configuration for the work pool.

active_slots
integer | null

The number of concurrency slots occupied by pending or running flow runs. None when concurrency_limit is not set.